#include "blindapplet.h"
#include "blindappletimpl.h"

BlindAppletImpl::BlindAppletImpl() 
	: blindApplet(0), ref(0)
{
}

BlindAppletImpl::~BlindAppletImpl() {
	if ( blindApplet != 0 ) delete blindApplet;
}

QWidget *
BlindAppletImpl::applet( QWidget *parent ) {
	if ( blindApplet == 0 ) {
		blindApplet = new BlindApplet( parent );
	}
	return blindApplet;
}

int
BlindAppletImpl::position() const {
	return 10;
}

#ifndef QT_NO_COMPONENT
QRESULT BlindAppletImpl::queryInterface( const QUuid &uuid, QUnknownInterface **iface )
{
	*iface = 0;
	if ( uuid == IID_QUnknown )
		*iface = this;
	else if ( uuid == IID_TaskbarApplet )
		*iface = this;
	if ( *iface )
		(*iface)->addRef();
	return QS_OK;
}

Q_EXPORT_INTERFACE()
{
	Q_CREATE_INSTANCE( BlindAppletImpl )
}
#endif

